pidgin: PurpleNotifyUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
PurpleNotifyUiOps Struct Reference

Notification UI operations. More...

`#include <notify.h>`

## Data Fields
void *(* | notify_message )(PurpleNotifyMsgType type, const char *title, const char *primary, const char *secondary)
void *(* | notify_email )(PurpleConnection *gc, const char *subject, const char *from, const char *to, const char *url)
void *(* | notify_emails )(PurpleConnection *gc, size_t count, gboolean detailed, const char **subjects, const char **froms, const char **tos, const char **urls)
void *(* | notify_formatted )(const char *title, const char *primary, const char *secondary, const char *text)
void *(* | notify_searchresults )(PurpleConnection *gc, const char *title, const char *primary, const char *secondary, PurpleNotifySearchResults *results, gpointer user_data)
void(* | notify_searchresults_new_rows )(PurpleConnection *gc, PurpleNotifySearchResults *results, void *data)
void *(* | notify_userinfo )(PurpleConnection *gc, const char *who, PurpleNotifyUserInfo *user_info)
void *(* | notify_uri )(const char *uri)
void(* | close_notify )(PurpleNotifyType type, void *ui_handle)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Notification UI operations.

Definition at line 144 of file notify.h.

## Field Documentation

## ◆ _purple_reserved1

void(* PurpleNotifyUiOps::_purple_reserved1) (void)

Definition at line 176 of file notify.h.

## ◆ _purple_reserved2

void(* PurpleNotifyUiOps::_purple_reserved2) (void)

Definition at line 177 of file notify.h.

## ◆ _purple_reserved3

void(* PurpleNotifyUiOps::_purple_reserved3) (void)

Definition at line 178 of file notify.h.

## ◆ _purple_reserved4

void(* PurpleNotifyUiOps::_purple_reserved4) (void)

Definition at line 179 of file notify.h.

## ◆ close_notify

void(* PurpleNotifyUiOps::close_notify) (PurpleNotifyType type, void *ui_handle)

Definition at line 174 of file notify.h.

## ◆ notify_email

void *(* PurpleNotifyUiOps::notify_email) (PurpleConnection *gc, const char *subject, const char *from, const char *to, const char *url)

Definition at line 149 of file notify.h.

## ◆ notify_emails

void *(* PurpleNotifyUiOps::notify_emails) (PurpleConnection *gc, size_t count, gboolean detailed, const char **subjects, const char **froms, const char **tos, const char **urls)

Definition at line 153 of file notify.h.

## ◆ notify_formatted

void *(* PurpleNotifyUiOps::notify_formatted) (const char *title, const char *primary, const char *secondary, const char *text)

Definition at line 158 of file notify.h.

## ◆ notify_message

void *(* PurpleNotifyUiOps::notify_message) (PurpleNotifyMsgType type, const char *title, const char *primary, const char *secondary)

Definition at line 146 of file notify.h.

## ◆ notify_searchresults

void *(* PurpleNotifyUiOps::notify_searchresults) (PurpleConnection *gc, const char *title, const char *primary, const char *secondary, PurpleNotifySearchResults *results, gpointer user_data)

Definition at line 161 of file notify.h.

## ◆ notify_searchresults_new_rows

void(* PurpleNotifyUiOps::notify_searchresults_new_rows) (PurpleConnection *gc, PurpleNotifySearchResults *results, void *data)

Definition at line 165 of file notify.h.

## ◆ notify_uri

void *(* PurpleNotifyUiOps::notify_uri) (const char *uri)

Definition at line 172 of file notify.h.

## ◆ notify_userinfo

void *(* PurpleNotifyUiOps::notify_userinfo) (PurpleConnection *gc, const char *who, PurpleNotifyUserInfo *user_info)

Definition at line 169 of file notify.h.

The documentation for this struct was generated from the following file:

- notify.h